Bug 102446 - new port: x11/xcb-proto, X protocol C-language Binding (XCB) protocol
Summary: new port: x11/xcb-proto, X protocol C-language Binding (XCB) protocol
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 21:30 UTC by Ashish Shukla
Modified: 2006-10-08 17:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.85 KB, text/plain)
2006-08-23 21:30 UTC, Ashish Shukla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2006-08-23 21:30:22 UTC
The X protocol C-language Binding (XCB) is a replacement for Xlib  featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility. For those who want to try out XCB, this is the port for FreeBSD corresponding "xcb-proto" distfile.
Comment 1 Alejandro Pulver freebsd_committer 2006-10-05 17:42:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 dfilter service freebsd_committer 2006-10-08 17:09:32 UTC
alepulver    2006-10-08 16:09:22 UTC

  FreeBSD ports repository

  Modified files:
    x11                  Makefile 
  Added files:
    x11/xcb-proto        Makefile distinfo pkg-descr pkg-plist 
  Log:
  The X protocol C-language Binding (XCB) is a replacement for Xlib
  featuring a small footprint, latency hiding, direct access to the
  protocol, improved threading support, and extensibility.
  
  WWW: http://xcb.freedesktop.org/
  
  - Ashish Shukla
  wahjava@gmail.com
  
  PR:             ports/102446
  Submitted by:   Ashish Shukla <wahjava at gmail.com>
  
  Revision  Changes    Path
  1.624     +1 -0      ports/x11/Makefile
  1.1       +26 -0     ports/x11/xcb-proto/Makefile (new)
  1.1       +3 -0      ports/x11/xcb-proto/distinfo (new)
  1.1       +8 -0      ports/x11/xcb-proto/pkg-descr (new)
  1.1       +25 -0     ports/x11/xcb-proto/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alejandro Pulver freebsd_committer 2006-10-08 17:12:27 UTC
State Changed
From-To: open->closed

New port added with a few modifications (update), thanks!
Comment 4 dfilter service freebsd_committer 2006-10-08 17:19:41 UTC
alepulver    2006-10-08 16:19:30 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  Add Ashish Shukla for x11/xcb-proto.
  
  PR:             ports/102446
  Submitted by:   Ashish Shukla <wahjava@gmail.com>
  
  Revision  Changes    Path
  1.625     +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"